AbstractGrailsPlugin (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class AbstractGrailsPlugin

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.plugins.AbstractGrailsPlugin

All Implemented Interfaces:
  GrailsPlugin

    public abstract class AbstractGrailsPlugin
    extends groovy.lang.GroovyObjectSupport

Abstract implementation that provides some default behaviours

Authors:
  Graeme Rocher

Field Summary
`protected GrailsApplication` | `application`
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected java.util.Map` | `dependencies`
`protected java.lang.String[]` | `dependencyNames`
`protected java.lang.String[]` | `evictionList`
`protected boolean` | `isBase`
`protected GrailsPluginManager` | `manager`
`protected java.lang.Class` | `pluginClass`
`protected java.lang.String` | `version`

Method Summary
`java.lang.Object` | `AbstractGrailsPlugin(java.lang.Class pluginClass, GrailsApplication application)`
`boolean` | `checkForChanges()`
`int` | `compareTo(java.lang.Object o)`
`void` | `doWithWebDescriptor(org.w3c.dom.Element webXml)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String[]` | `getDependencyNames()`
`java.lang.String` | `getDependentVersion(java.lang.String name)`
`java.lang.String[]` | `getEvictionNames()`
`java.lang.String` | `getFileSystemName()`
`java.lang.String` | `getFileSystemShortName()`
`java.lang.String[]` | `getLoadAfterNames()`
`java.lang.String[]` | `getLoadBeforeNames()`
`GrailsPluginManager` | `getManager()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getPluginClass()`
`java.lang.String` | `getPluginPath()`
`java.lang.String` | `getVersion()`
`java.util.List` | `getWatchedResourcePatterns()`
`boolean` | `hasInterestInChange(java.lang.String path)`
`int` | `hashCode()`
`boolean` | `isBasePlugin()`
`void` | `refresh()`
`void` | `setApplication(GrailsApplication application)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setBasePlugin(boolean isBase)`
`void` | `setManager(GrailsPluginManager manager)`

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### application

    protected GrailsApplication application

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### dependencies

    protected java.util.Map dependencies

### dependencyNames

    protected java.lang.String[] dependencyNames

### evictionList

    protected java.lang.String[] evictionList

### isBase

    protected boolean isBase

### manager

    protected GrailsPluginManager manager

### pluginClass

    protected java.lang.Class pluginClass

### version

    protected java.lang.String version

Method Detail

### AbstractGrailsPlugin

    public java.lang.Object AbstractGrailsPlugin(java.lang.Class pluginClass, GrailsApplication application)

### checkForChanges

    public boolean checkForChanges()

### compareTo

    public int compareTo(java.lang.Object o)

### doWithWebDescriptor

    public void doWithWebDescriptor(org.w3c.dom.Element webXml)

### equals

    @java.lang.Overrideif (this == o) return true;
    public boolean equals(java.lang.Object o)

### getDependencyNames

    public java.lang.String[] getDependencyNames()

### getDependentVersion

    public java.lang.String getDependentVersion(java.lang.String name)

### getEvictionNames

    public java.lang.String[] getEvictionNames()

### getFileSystemName

    public java.lang.String getFileSystemName()

### getFileSystemShortName

    public java.lang.String getFileSystemShortName()

### getLoadAfterNames

    public java.lang.String[] getLoadAfterNames()

### getLoadBeforeNames

    public java.lang.String[] getLoadBeforeNames()

### getManager

    public GrailsPluginManager getManager()

### getName

    public java.lang.String getName()

### getPluginClass

    public java.lang.Class getPluginClass()

### getPluginPath

    public java.lang.String getPluginPath()

### getVersion

    public java.lang.String getVersion()

### getWatchedResourcePatterns

    public java.util.List getWatchedResourcePatterns()

### hasInterestInChange

    public boolean hasInterestInChange(java.lang.String path)

### hashCode

    @java.lang.Overrideint result = version.hashCode();
    public int hashCode()

### isBasePlugin

    public boolean isBasePlugin()

### refresh

    public void refresh()

### setApplication

    public void setApplication(GrailsApplication application)

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### setBasePlugin

    public void setBasePlugin(boolean isBase)

### setManager

    public void setManager(GrailsPluginManager manager)

Groovy Documentation